Re: Textadept 1.6

From: dmsacks <Dennis.Sa....at.gmail.com>
Date: Fri, 10 Apr 2009 16:17:36 -0700 (PDT)

Thanks! That worked.

Except now I'm getting this:

error loading module 'gtk' from file '/usr/local/share/textadept/core/
gtk.so':
        /usr/local/share/textadept/core/gtk.so: wrong ELF class: ELFCLASS64

Dennis

On Apr 10, 4:06 pm, mitchell <mforal.n....at.gmail.com> wrote:
> Hi Dennis,
>
> > If I run ./textadept I get a dialog with this error:
>
> > /usr/local/share/textadept//core/lua_dialog.lua:33: module 'gtk' not
> > found:
> >         no field package.preload['gtk']
> >         no file '/usr/local/share/textadept//core/gtk.lua'
> >         no file './gtk.lua'
> >         no file '/usr/local/share/lua/5.1/gtk.lua'
> >         no file '/usr/local/share/lua/5.1/gtk/init.lua'
> >         no file '/usr/local/lib/lua/5.1/gtk.lua'
> >         no file '/usr/local/lib/lua/5.1/gtk/init.lua'
> >         no file './gtk.so'
>
> In lua_dialog.lua, try changing the existing 'package.path' line
> inside the conditional to:
>
>   package.cpath = '/usr/local/share/textadept/core/?.so'
>
> I've run into path issues on Linux system; it's kind of hit or miss.
>
> Hopefully that helps,
Received on Fri 10 Apr 2009 - 19:17:36 EDT

This archive was generated by hypermail 2.2.0 : Thu 08 Mar 2012 - 11:37:47 EST